import Parse from '../parse';
import { computedImageSize } from '../helpers';

class WebRich extends Parse {
  constructor(option) {
    super(option);
    this.platform = option.platform;
    this.containerWidth = option.width;
  }

  renderImage(props) {
    const { width, height } = computedImageSize(
      +props.width,
      +props.height,
      this.containerWidth
    );
    return `<p><img style="width:${width}px;height:${height}px" src="${
      props.url
    }">${
      props.desc && props.desc !== '' ? `<span>${props.desc}</span>` : ''
    }</p>`;
  }

  renderLink(props) {
    return `<a href="${props.route.webUrl || props.route.webURL}" target="_blank">${props.content}</a>`;
  }

  renderVideo(props) {
    return `<video width="600" height="400" controls="true">
      <source src="${props.url}">
    </video>`
    // return `<video url="${props.url}" controls="${props.controls}" width="600" height="400" webkit-playsinline="true" playsinline="true" x5-playsinline="true"></video>`;
  }
}

export default WebRich;
